/// <reference types="react" />
import { IconDefinition, IconName } from "@fortawesome/fontawesome-svg-core";
import { IFontAwesomeSvgIconProps } from "./typings";
/**
 * This component is a wrapper for the FontAwesomeIcon component.
 * It is used to add icons to any library. More info here: https://fontawesome.com/v5/docs/web/use-with/react
 */
export declare const NerdIcon: (props: IFontAwesomeSvgIconProps) => JSX.Element | null;
/**
 *
 * @param icon
 */
export declare function setCustomIconDefinition(icon: IconName): IconDefinition;
/**
 *
 * @param color
 */
export declare function colorSwitch(color: string): string;
